PETSc version 3.15.5
Fix/Edit manual page

# DMDAGetCoordinateArray

Gets an array containing the coordinates of the DMDA

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetCoordinateArray(DM dm,void *xc)

Not collective

### Input Parameter

| dm | - the DM

### Output Parameter

| xc | - the coordinates

Not supported from Fortran

### See Also

DMDASetCoordinateName(), DMDASetFieldName(), DMDAGetFieldName(), DMDARestoreCoordinateArray()

### Level

intermediate

### Location

src/dm/impls/da/dacorn.c

### Examples

src/ts/tutorials/extchemfield.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages